Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 27/12/2012, à 15:19

brital

psyco et python 3

Hello,

J'aimerais savoir comment faire pour installer le module psyco pour python 3?

Hors ligne

#2 Le 27/12/2012, à 15:57

ljere

Re : psyco et python 3

sudo apt-get install python-psyco

athlon 2800+, nvidia FX5200 et 2 Go de ram et sempron 3000+, ati radeon et 1 Go de ram sur voyager 12.04 32 bit
Toshiba satellite_c670d-11l sur openboxubuntu 14.10 64 bit
Mon Blog
administrateur du forum ubuntu-fr.org

Hors ligne

#3 Le 16/01/2013, à 00:51

brital

Re : psyco et python 3

En l'installant avec la commande: sudo apt-get install python-psyco, est ce compatible avec python3?

Hors ligne

#4 Le 16/01/2013, à 06:39

grim7reaper

Re : psyco et python 3

Faut arrêter avec Psyco là…
Déjà, ça tourne que pour x86 (en 32 bits uniquement), et ça ne supporte sûrement pas Python 3 (sachant que même Python 2.7 semble pas supporté…).
Faut mieux se tourner sur Pypy, Psyco c’est mort.

http://psyco.sourceforge.net/ a écrit :

Psyco is unmaintained and dead. Please look at PyPy for the state-of-the-art in JIT compilers for Python.

Hors ligne

#5 Le 28/01/2013, à 15:08

brital

Re : psyco et python 3

Merci pour l'info grim7reaper smile

Je suis débutant en python3, je ne sais pas comment utiliser Pypy...

Hors ligne

#6 Le 29/01/2013, à 05:12

grim7reaper

Re : psyco et python 3

Bah t’en fait pas, en fait Pypy est pas encore tout à fait compatible Python 3.

Sinon à l’usage rien de sorcier, il faut juste utiliser Pypy au lieu de l’interpréteur normal.
Du genre tu ajoutes :

#!/usr/bin/env pypy

comme shebang en première ligne de ton script.
Ou tu lances directement :

pypy script.py

Hors ligne

Haut de page ↑